"use strict";

exports.__esModule = true;
exports.useFocusVisibility = useFocusVisibility;

var _useModality2 = require("../use-modality");

/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 */

/**
 * Respond to changes in *visibile* focus. Focus is visible whenever a keyboard is used.
 */
function useFocusVisibility() {
  var _useModality = (0, _useModality2.useModality)(),
      activeModality = _useModality.activeModality;

  return activeModality === 'keyboard';
}