/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @flow strict-local
 */

'use strict';

const supportsPointerEvent = () =>
  !!(typeof window !== 'undefined' && window.PointerEvent != null);

export default supportsPointerEvent;
