"use strict";

exports.__esModule = true;
exports.useMergeRefs = useMergeRefs;

var _react = _interopRequireDefault(require("react"));

var _mergeRefs = _interopRequireDefault(require("../../modules/mergeRefs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 */
function useMergeRefs() {
  for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }

  return _react.default.useMemo(function () {
    return _mergeRefs.default.apply(void 0, args);
  }, // eslint-disable-next-line
  [].concat(args));
}